sub household_type {
          # ------ Household size and type
	$Household_size = Common_question( $A20_1, $B07_1 );

	@household_member = $data -> household_member;
	$Is_single = (1==$Household_size) ? 1 : 0;
	$Has_spouse = $household_member[2];
	$Has_ummarried_child = Sum( @household_member[3,4] );
	$Has_married_child = Sum( @household_member[5,6] );
	$Has_child_spouse = Sum( @household_member[7] );
	$Has_child_child = Sum( @household_member[8] );
	$Has_parent = Sum( @household_member[9,10] );
	$Has_parent2 = Sum( @household_member[11,12] );
	$Has_grandparent = Sum( @household_member[13,14] );
	$Has_grandparent2= Sum( @household_member[15,16] );
	$Has_sibling= Sum( @household_member[17] );
	$Has_spouse_sibling= Sum( @household_member[18] );

	$H_1 = Common_question( $A20_2_OTHER_1, $B07_2_OTHER_1 );
	$H_2 = Common_question( $A20_2_OTHER_2, $B07_2_OTHER_2 );
	$H_3 = Common_question( $A20_2_OTHER_3, $B07_2_OTHER_3 ); 

	++$Has_spouse if grep { 21==$_ || 22==$_ || 42==$_} ($H_1, $H_2, $H_3 );
	++$Has_married_child if grep { 23==$_ || 24==$_ } ($H_1, $H_2, $H_3 );
	$Has_any_child=0;
	++$Has_any_child if grep { 25<=$_ && $_<=27 } ($H_1, $H_2, $H_3 );
	++$Has_parent if grep { 28<=$_ && $_<=29 } ($H_1, $H_2, $H_3 );

	$Any_married_child = Sum( $Has_married_child, $Has_child_spouse, $Has_child_child );
	$Any_parent = Sum( $Has_parent, $Has_parent2, $Has_grandparent, $Has_grandparent2 );
	$Any_other = Sum( $Has_sibling, $Has_spouse_sibling, $H_1, $H_2, $H_3 );

	++$Any_other if grep { 30<=$_ && $_<=41 } ($H_1, $H_2, $H_3 );
	++$Any_other if grep { 43<=$_ && $_<=45 } ($H_1, $H_2, $H_3 );

	@household_type4 = ( $Has_ummarried_child, $Any_married_child, $Any_parent, $Any_other );
	foreach( @household_type4 ){
		$_=1  if 1<$_;
	}
	$Household4 = join( '', @household_type4 );
}

1;
